﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TopoRAdd
{
    public partial class WarningForm : Form
    {
        /// <summary>
        /// Диалоговое окно предупреждения
        /// </summary>
        /// <param name="caption">текст заголовка</param>
        /// <param name="ok">текст кнопки Ok</param>
        /// <param name="cancel">текст кнопки Cancel</param>
        /// <param name="list">cписок строк для текстового окна</param>
        public WarningForm(string caption, string ok, string cancel, List<string> list)
        {
            InitializeComponent();
            Text = caption;
            btOk.Text = ok;
            btCancel.Text = cancel;
            if (list != null)
            {
                foreach (string a in list)
                {
                    textBox.Text += a + Environment.NewLine;
                }
            }
        }
    }
}
