﻿using System.Drawing.Drawing2D;
using System.Windows.Forms;
using static TopoR_PCB_Classes.LocalLibrary;

namespace TopoRAdd
{
    public partial class FootprintDraw : UserControl
    {
        private Footprint _footprint;
        private Padstack _padstack;

        public FootprintDraw()
        {
            SetStyle(ControlStyles.UserPaint | ControlStyles.AllPaintingInWmPaint | ControlStyles.OptimizedDoubleBuffer | ControlStyles.ResizeRedraw, true);
            InitializeComponent();
        }

        private void FootprintDraw_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.InterpolationMode = InterpolationMode.HighQualityBicubic;
            e.Graphics.SmoothingMode = SmoothingMode.AntiAlias;
        }


        public void SetComponent(Footprint footprint, Padstack padstack)
        {
            _footprint = footprint;
            _padstack = padstack;
            Invalidate();
        }
/*
        private cursor_LCD _cursor = cursor_LCD.None;
        [DefaultValue(typeof(cursor_LCD), "None"), Category("LCD"), Description("")]
        public cursor_LCD Cursor_LCD
        {
            get => _cursor;
            set
            {
                _cursor = value;
                Invalidate();
            }
        }
*/
    }
}
